Google Services for your business
curl --request GET \
--url https://api.partoo.co/v2/business/{business_id}/services \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/business/{business_id}/services"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/business/{business_id}/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"services": [
{
"service_id": 1,
"type": "STRUCTURED_SERVICE_ITEM",
"name": "Climbing Gym",
"price": 50,
"description": "Our climbing gym available for all",
"category_gmb_name": "gcid:climbing_gym"
},
{
"service_id": 2,
"type": "FREE_FORM_SERVICE_ITEM",
"name": "Random Name",
"price": 25.35,
"description": "This is our custom service",
"category_gmb_name": "gcid:climbing_gym"
}
]
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Businesses
Google Services for your business
This endpoint allows you to view the Google Services set for your business.
GET
/
business
/
{business_id}
/
services
Google Services for your business
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Business id.
It may be replaced by c-{code} where code is the store code, which should be unique per organization. This can be used only for ORG_ADMIN, GROUP_MANAGER and BUSINESS_MANAGER users.
Response
OK
List of Business Services.
Show child attributes
Show child attributes
Example:
[
{
"service_id": 1,
"type": "STRUCTURED_SERVICE_ITEM",
"name": "Climbing Gym",
"price": 50,
"description": "Our climbing gym available for all",
"category_gmb_name": "gcid:climbing_gym"
},
{
"service_id": 2,
"type": "FREE_FORM_SERVICE_ITEM",
"name": "Random Name",
"price": 25.35,
"description": "This is our custom service",
"category_gmb_name": "gcid:climbing_gym"
}
]
Was this page helpful?
⌘I